#########################################################################
# Copyright (c) 2002, 2003 Grgoire Weber. All Rights Reserved.
# 
# This file is part of CMFCollection.
# 
# CMFCollection is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# CMFCollection is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with CMFCollection; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#########################################################################
""" CMFCollection wide used names

XXX

$Id: $
"""
__version__ = "$Revision: $"


# collection content type
collection_meta_type = 'Collection'
collection_slot_meta_type = 'Collection Slot'

# status of object in collection
UpToDate = 'up to date'
Added = 'added'
Updated = 'updated'
AddRequestPending = 'add request'
UpdateRequestPending = 'update request'
DeleteNotificationPending = 'deleted'
ChangeNotificationPending = 'changed'
OutOfDate = 'out of date'
IsLocal = 'is local'
JustCreated = 'just created'

UpToDateStatus = (UpToDate, Added, Updated, AddRequestPending)
AllowUntrustedUpdateStates = (AddRequestPending,)

# available actions
Acknowledge = 'acknowledge'
Accept = 'accept'
Reject = 'reject'
Update = 'update'
Ignore = 'ignore'

# link policies
OriginalAlways = 'Original Always'
CopyIfIdenticalOriginalElse = 'Copy if Identical, Original Else'
CopyAlways = 'Copy Always'
OriginalIfIdenticalCopyElse = 'Original if Identical, Copy Else'

TrustedLinkPolicies = (OriginalAlways, CopyIfIdenticalOriginalElse)
UntrustedLinkPolicies = (CopyAlways, OriginalIfIdenticalCopyElse)
LinkPolicies = TrustedLinkPolicies + UntrustedLinkPolicies


# collection tool
tool_id = 'portal_collections'
tool_meta_type = 'CMF Collection Tool'

slots_id = 'Slots'
helpers_id = 'Helpers'
types_id = 'Types'

# permissions
AddCollectionTool = "Add Collection Tool"
AddCollection = "Add Collection"
AddContentToCollections = 'Add Content to Collections'
ProposeContentToCollections = 'Propose Content to Collections'
ManageContentInCollections = 'Manage Content in Collections'
