## Script (Python) "collection_move"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Update objects visibility state
##
from Products.CMFPlone import transaction_note
REQUEST = context.REQUEST
portal_navigation = context.portal_navigation

ids = REQUEST.get('ids', ())
target_slot = REQUEST.get('target_slot', ())

# update visibility before moving
context.updateVisibility(ids=REQUEST.get('ids_vis', ()), 
                         title_vis=REQUEST.get('title_vis', ()), 
                         desc_vis=REQUEST.get('desc_vis', ()), 
                         body_vis=REQUEST.get('body_vis', ()), 
                         helper_vis=REQUEST.get('helper_vis', ()), 
                         coll_vis=REQUEST.get('coll_vis', ()), 
                         accept=REQUEST.get('accept', ()), 
                         reject=REQUEST.get('reject', ()), )

if target_slot:
    context.moveObjects(ids=ids, target_id=target_slot)
    transaction_note("updated visibility and moved items '%s' to slot '%s'" % ("', '".join(ids), target_slot))
    status_msg = 'Moved items and updated visibility.'
else:
    transaction_note("updated visibility without moving items")
    status_msg = 'Updated visibility without moving items.'

status = 'success'

return portal_navigation.getNext(context, 
                                 script.getId(), 
                                 status, 
                                 portal_status_message=status_msg)
